# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/app-portage/portage-towns-cvs/portage-towns-cvs-1.0.ebuild,v 1.3 2005/11/20 08:54:42 zool Exp $

GENTOO_TOWNS_URL="http://zool.jpn.org/gentoo-towns"
GENTOO_VIEWCVS_URL="http://zool.jpn.org/cgi/viewcvs.cgi/gentoo-x86-towns"

DESCRIPTION="Portage tree for Gentoo Linux/TOWNS"
HOMEPAGE="${GENTOO_TOWNS_URL}/index.html"
SRC_URI=""

KEYWORDS="-* ~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
DEPEND=""
RESTRICT="nomirror"

S=${WORKDIR}/${P}

PORTDIR_OVERLAY_TOWNS="${ROOT}usr/local/TOWNS/portage"

src_unpack() {
	mkdir ${P}
	wget "${GENTOO_VIEWCVS_URL}/gentoo-x86-towns.tar.gz?tarball=1&only_with_tag=HEAD" \
		-O ${P}/gentoo-x86-towns.tar.gz \
		|| die "Download failed."
}

src_compile() {
	return
}

pkg_preinst() {
	if [ -d ${PORTDIR_OVERLAY_TOWNS} ]; then
		mv ${PORTDIR_OVERLAY_TOWNS} ${PORTDIR_OVERLAY_TOWNS}.$$
	fi
}

src_install() {
	townsdir=${D}`dirname ${PORTDIR_OVERLAY_TOWNS}`
	mkdir -p ${townsdir}
	mkdir -p ${D}/etc/portage
	tar -zxmf gentoo-x86-towns.tar.gz -C ${townsdir}
	mv ${townsdir}/gentoo-x86-towns ${D}/${PORTDIR_OVERLAY_TOWNS}
	cp ${D}/${PORTDIR_OVERLAY_TOWNS}/package.mask \
					${D}/etc/portage/package.mask
}

pkg_postinst() {
	echo
	ewarn
	ewarn "You must add value of PORTDIR_OVERLAY to ${PORTDIR_OVERLAY_TOWNS}"
	ewarn
	ewarn "Example:"
	ewarn "	PORTDIR_OVERLAY=\"${PORTDIR_OVERLAY_TOWNS} \${PORTDIR_OVERLAY}\""
	ewarn
	echo
}
