# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/sys-boot/lilo/lilo-20-r200.ebuild,v 1.1.1.1 2005/11/13 04:25:57 zool Exp $

inherit eutils flag-o-matic

IUSE="static"

DESCRIPTION="Standard Linux boot loader (for Linux/TOWNS)"
HOMEPAGE="http://lilo.go.dyndns.org/pub/linux/lilo/"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/${P}.tar.gz"
SLOT="0"
LICENSE="BSD GPL-2"
KEYWORDS="-* ~x86"

RDEPEND=">=sys-apps/sed-4"
DEPEND="${RDEPEND}
	sys-kernel/towns-sources
	>=sys-devel/bin86-0.15.5"

PROVIDE="virtual/bootloader"
RESTRICT="nomirror"

src_unpack() {
	unpack ${P}.tar.gz

	mv lilo ${P}
	cd ${S}

	epatch ${FILESDIR}/lilo-20-TOWNS-fix.diff
}

src_compile() {
	emake || die
}

src_install() {
	dodir /boot
	dodir /usr

	make DESTDIR=${D} install || die

	insinto /etc
	doins ${FILESDIR}/lilo.conf

	dodoc CHANGES COPYING INCOMPAT
	dodoc README README.towns
}
